Bug 855663 - [abrt] gnome-tweak-tool-3.4.0.1-2.fc17: gsettings.py:122:schema_get_summary:KeyError: 'text-scaling-factor'
[abrt] gnome-tweak-tool-3.4.0.1-2.fc17: gsettings.py:122:schema_get_summary:K...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gnome-tweak-tool (Show other bugs)
17
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Mohamed El Morabity
Fedora Extras Quality Assurance
abrt_hash:65fb818dea3b535ff54a0d56df6...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-09 14:25 EDT by Serge
Modified: 2013-08-01 04:40 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 04:40:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Serge 2012-09-09 14:25:21 EDT
Description of problem:
Full automatic, no visible problems

Version-Release number of selected component:
gnome-tweak-tool-3.4.0.1-2.fc17

Additional info:
libreport version: 2.0.13
abrt_version:   2.0.10
cmdline:        python /usr/bin/gnome-tweak-tool
kernel:         3.4.2-4.fc17.i686

backtrace:
:gsettings.py:122:schema_get_summary:KeyError: 'text-scaling-factor'
:
:Traceback (most recent call last):
:  File "/usr/bin/gnome-tweak-tool", line 76, in <module>
:    MainWindow()
:  File "/usr/lib/python2.7/site-packages/gtweak/mainwindow.py", line 44, in __init__
:    model)
:  File "/usr/lib/python2.7/site-packages/gtweak/tweakview.py", line 40, in __init__
:    self._model.load_tweaks()
:  File "/usr/lib/python2.7/site-packages/gtweak/tweakmodel.py", line 135, in load_tweaks
:    mods = __import__("gtweak.tweaks", globals(), locals(), tweak_files, 0)
:  File "/usr/lib/python2.7/site-packages/gtweak/tweaks/tweak_font.py", line 24, in <module>
:    GSettingsSpinButtonTweak("org.gnome.desktop.interface", "text-scaling-factor", adjustment_step=0.1, digits=1, group_name=TWEAK_GROUP_FONTS),
:  File "/usr/lib/python2.7/site-packages/gtweak/widgets.py", line 147, in __init__
:    _GSettingsTweak.__init__(self, schema_name, key_name, **options)
:  File "/usr/lib/python2.7/site-packages/gtweak/widgets.py", line 105, in __init__
:    options.get("summary",self.settings.schema_get_summary(key_name)),
:  File "/usr/lib/python2.7/site-packages/gtweak/gsettings.py", line 122, in schema_get_summary
:    return self._schema._schema[key]["summary"]
:KeyError: 'text-scaling-factor'
:
:Local variables in innermost frame:
:self: <GSettingsSetting object at 0xa23607c (gtweak+gsettings+GSettingsSetting at 0xa293940)>
:key: 'text-scaling-factor'
Comment 1 Randy Bumgardner 2012-10-03 17:51:18 EDT
Attempted to open gnome-tweak-tool.

Package: gnome-tweak-tool-3.4.0.1-2.fc17
Architecture: x86_64
OS Release: Fedora release 17 (Beefy Miracle)
Comment 2 Fedora Admin XMLRPC Client 2012-11-13 02:07:23 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 3 Fedora End Of Life 2013-07-03 22:34:07 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 4 Fedora End Of Life 2013-08-01 04:40:29 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.